# Trap
Date: 2016-09-10

dungeon

## Class Trap

- java.lang.Object
- - dungeon.Trap

    public class Trap
    extends java.lang.Object

Stores information about a trap

### Constructor Summary

Constructors
Constructor and Description
`Trap()` Constructs a random trap

### Method Summary

All Methods Instance Methods Concrete Methods
`java.lang.String` `toString()`

### Methods inherited from class java.lang.Object

`clone, equals, finalize, getClass, hashCode, notify, notifyAll, wait, wait, wait`

### Constructor Detail

#### Trap

    public Trap()

Constructs a random trap

### Method Detail

#### toString

    public java.lang.String toString()

Overrides:
  `toString` in class `java.lang.Object`